Package twisted :: Package scripts :: Module conch

[show private | hide private]
[frames | no frames]

## Module twisted.scripts.conch

Classes
`GeneralOptions` |
`SSHClientFactory` |
`SSHClientTransport` |
`SSHConnectForwardingChannel` |
`SSHConnection` |
`SSHListenClientForwardingChannel` |
`SSHSession` |
`SSHUnixChannel` |
`SSHUnixClientFactory` |
`SSHUnixClientProtocol` |
`SSHUnixServerFactory` |
`SSHUnixServerProtocol` |
`SSHUserAuthClient` |

Function Summary
| `handleError()`
| `onConnect()`
| `run()`

Variable Summary
`NoneType` | `conn`
`int` | `exitStatus`
`NoneType` | `options`
`SelectReactor` | `reactor`

Variable Details

### conn

  Type:
    `NoneType`
  Value:

        None

### exitStatus

  Type:
    `int`
  Value:

        0

### options

  Type:
    `NoneType`
  Value:

        None

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x82e8c8c>

Generated by Epydoc 1.1 on Thu May 8 13:16:50 2003 | http://epydoc.sf.net